<?php
/*
Plugin Name: IT Apprentice Welcome Message for Volunteers
Description: Displays a customized welcome message for TheITApprentice volunteers, with helpful links and commands.
Version: 1.0
Author: The IT Apprentice Team
*/

// Hook for adding admin menus
add_action('admin_menu', 'itapp_welcome_menu');

// Action function for above hook
function itapp_welcome_menu() {
    add_options_page('Welcome Message Settings for Volunteers', 'Volunteer Welcome Message', 'manage_options', 'itapp_welcome', 'itapp_welcome_settings_page');
}

// Function to display the admin settings page
function itapp_welcome_settings_page() {
    include('welcome-settings.php');
}

// Hook to display the welcome message
add_action('wp_head', 'itapp_display_welcome_message');

// Function to display the welcome message
function itapp_display_welcome_message() {
     = get_option('itapp_welcome_message', 'Welcome TheITApprentice Volunteer! Your contributions are extremely appreciated. Let\\'s learn and build together! ?? For more help, please refer to: <a href="https://theitapprentice.com/tutorials/wordpress-plugin-development-in-2024/" target="_blank">Wordpress Plugin Development in 2024</a>. For queries, shout out in the #wordpress-development channel on Discord. ??????');
    echo "<div style='background-color: #f9f9f9; text-align: center; padding: 20px; margin-top: 20px; font-size: 18px;'></div>";
}

// Register settings
function itapp_register_settings() {
    add_option('itapp_welcome_message', 'Welcome TheITApprentice Volunteer! Your contributions are extremely appreciated. Let\\'s learn and build together! ?? For more help, please refer to: <a href="https://theitapprentice.com/tutorials/wordpress-plugin-development-in-2024/" target="_blank">Wordpress Plugin Development in 2024</a>. For queries, shout out in the #wordpress-development channel on Discord. ??????');
    register_setting('itapp_options_group', 'itapp_welcome_message');
}
add_action('admin_init', 'itapp_register_settings');
